/*

  Author(s): Ilja V. Ryndin <support@rusbitech.ru>

  Start date: *

*/

#ifndef FLYFMPLUGIN_H
#define FLYFMPLUGIN_H

#include <QString>
#include <QList>

namespace FlyFM
{

class Plugin
{
public:
    Plugin();
    Plugin(const Plugin &) = delete;
    Plugin &operator=(const Plugin &) = delete;
    virtual ~Plugin();

    virtual QString title() = 0;
    virtual QString acronym() const = 0;
};

using PluginPtrList = QList<Plugin *>;

}

#endif // FLYFMPLUGIN_H
